lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steven Rowe (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (LUCENE-3276) Solr core Maven POM should include a dependency on wstx-asl stax parser
Date Tue, 05 Jul 2011 21:56:16 GMT

     [ https://issues.apache.org/jira/browse/LUCENE-3276?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Steven Rowe updated LUCENE-3276:
--------------------------------

    Attachment: LUCENE-3276.patch

Patch adding runtime-scope wstx-asl dependency to Solr core POM.

Committing shortly

> Solr core Maven POM should include a dependency on wstx-asl stax parser
> -----------------------------------------------------------------------
>
>                 Key: LUCENE-3276
>                 URL: https://issues.apache.org/jira/browse/LUCENE-3276
>             Project: Lucene - Java
>          Issue Type: Bug
>          Components: general/build
>            Reporter: Steven Rowe
>         Attachments: LUCENE-3276.patch
>
>
> A new test introduced in SOLR-2630 ({{o.a.s.handler.XsltUpdateRequestHandlerTest}}) triggered
a failure in the Maven build on Jenkins:
> {quote}
> Stack Trace:
> java.lang.UnsupportedOperationException: Cannot create XMLStreamReader or XMLEventReader
from a javax.xml.transform.dom.DOMSource
> 	at com.sun.xml.internal.stream.XMLInputFactoryImpl.jaxpSourcetoXMLInputSource(XMLInputFactoryImpl.java:300)
> 	at com.sun.xml.internal.stream.XMLInputFactoryImpl.createXMLStreamReader(XMLInputFactoryImpl.java:143)
> 	at org.apache.solr.handler.XsltXMLLoader.load(XsltXMLLoader.java:86)
> 	at org.apache.solr.handler.ContentStreamHandlerBase.handleRequestBody(ContentStreamHandlerBase.java:67)
> {quote}
> On #lucene IRC, Uwe said:
> {quote}
> the problem was that the xsltupdatehandler relies on WSTX features
> so the java6-shipped Stax does not support dom inputs
> and in trunk the WSTX dependency was removed from solrj
> but correct would be a dependency from core -> wstx
> to compile wstx is not needed, 
> but for actually executing the code in tests or for solr's war, 
> wstx is needed because of its features, the java-shipped parser has not
> {quote}

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message